<!DOCTYPE html>
<html leng="en">
    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE-edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Document</title>
        <link href="https://unpkg.com/material-components-web@latest/dist/material-components-web.min.css"
        rel="stylesheet" />
        <script src="https://unpkg.com/material-components-web@latest/dist/material-components-web.min.js"></script>
        <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons" />
        <link rel="stylesheet" href="login.css" />
        <link rel="stylesheet" href="bundle.css" />
    </head>
    <body class="mdc-typography">
        <form class="loginSection" class="mdc-elevation--z5">
            <div class="standard-margin">
            <label class="mdc-text-field mdc-text-field--filled username" id="UsernameTextField">
                <span class="mdc-text-field__ripple"></span>
                <input
                type="text"
                class="mdc-text-field__input"
                aria-labelledby="username-label"
                name="username" />
                <span class="mdc-floating-label"
                id="username-label">Username</span>
                <span class="mdc-line-ripple"></span>
            </label>
            </div>
            <div class="standard-margin">
                <label class="mdc-text-field mdc-text-field--filled password" id="passwordTextField">
                    <span class="mdc-text-field__ripple"></span>
                    <input
                    type="password"
                    class="mdc-text-field__input"
                    aria-labelledby="password-label"
                    name="password" />
                    <span class="mdc-floating-label"
                    id="password-label">Password</span>
                    <span class="mdc-line-ripple"></span>
                </label>
            </div>
            <div class="standard-margin">
                <button class="mdc-button mdc-button--raised ampler-padding">
                    <span class="mdc-button_label white-text">login</span>
                </button>
            </div>
            <div class="standard-margin">
                <button class="mdc-button">
                    <span class="mdc-button__ripple"></span>
                    <span class="mdc-button__label">I forgot</span>
                </button>
            </div>
            <div class="standard-margin">
                <button class="mdc-button mdc-button--outlined mdc-button--icon-leading">
                    <span class="mdc-button__ripple"></span>
                    <span class="mdc-button__label">Register</span>
                </button>
            </div>
        </form>
        <form id="registrationSection" class="mdc-elevation--z8">
            <div class="standard-margin">
                <label class="mdc-text-field mdc-text-field--filled username"
                id="usernameTextField">
                <span class="mdc-text-field__ripple"></span>
                <input type="text" class="mdc-text-field__input"
                aria-labelledby="username-label" name="username" />
                <span class="mdc-floating-label" id="username-label">Username</span>
                <span class="mdc-line-ripple"></span>
                </label>
            </div>
            <div class="standard-margin">
                <label class="mdc-text-field mdc-text-field--filled password"
                id="passwordTextField">
                <span class="mdc-text-field__ripple"></span>
                <input type="password" class="mdc-text-field__input"
                aria-labelledby="password-label" name="password" />
                <span class="mdc-floating-label" id="password-label">Pasword</span>
                <span class="mdc-line-ripple"></span>
            </label>
            </div>
            <div class="standard-margin">
                <label class="mdc-text-field mdc-text-field--filled password"
                id="confirmPasswordTextField">
                <span class="mdc-text-field__ripple"></span>
                <input type="password" class="mdc-text-field__input"
                aria-labelledby="confirm-password-label" name="confirm-pssword" />
                <span class="mdc-floating-label" id="confirm-password-label">Confirm Pasword</span>
                <span class="mdc-line-ripple"></span>
            </label>
            </div>
            <div class="standard-margin">
                <label class="mdc-text-field mdc-text-field--filled securityQuestion"
                id="securityQuestionTextField">
                <span class="mdc-text-field__ripple"></span>
                <input type="securityQuestion" class="mdc-text-field__input"
                aria-labelledby="securityQuestionLabel" name="securityQuestion" />
                <span class="mdc-floating-label" id="securityQuestionLabel">Security Question</span>
                <span class="mdc-line-ripple"></span>
            </label>
            </div>
            <div class="standard-margin">
                <label class="mdc-text-field mdc-text-field--filled securityAnswer"
                id="securityAnswerTextField">
                <span clas="mdc-text-field__ripple"></span>
                <input type="password" class="mdc-text-field__input"
                aria-labelledby="securityAnswer-label" name="securityAnswer" />
                <span class="mdc-floating-label" id="securityAnswerLabel">Security Answer</span>
                <span class="mdc-line-ripple"></span>
            </label>
            </div>
            <div class="standard-margin">
                <div class="mdc-checkbox">
                  <input type="checkbox"
                         class="mdc-checkbox__native-control"
                         id="checkbox-1"/>
                  <div class="mdc-checkbox__background">
                    <svg class="mdc-checkbox__checkmark"
                         viewBox="0 0 24 24">
                      <path class="mdc-checkbox__checkmark-path"
                            fill="none"
                            d="M1.73,12.91 8.1,19.28 22.79,4.59"/>
                    </svg>
                    <div class="mdc-checkbox__mixedmark"></div>
                  </div>
                  <div class="mdc-checkbox__ripple"></div>
                </div>
                <label for="checkbox-1">Sign it all away in blood</label>
              </div>
            
            <div class="standard-margin">
                <button class="mdc-button mdc-button--raised ampler-padding">
                    <span class="mdc-button__label white-text">Register</span>
                </button>
            </div>
        </form>
        <script>
            const MDCTextField = mdc.textField.MDCTextField;
            const foos = [].map.call(
                document.querySelectorAll(".mdc-text-field"),
                function (el){
                    return new MDCTextField(el);
                }
            );

        </script>
    </body>
    <!-- <script>
        console.log("hello world");
        console.log("this is mdc:", mdc);

        console.log("this is mdc.TextField", mdc.textField);
        const MDCTextField = mdc.textField.MDCTextField;
        console.log(MDCTextField);

        console.log(document.getElementById("usernameTextField"));
        const myMDCUsernameField = new MDCTextField(docuemnt.getElementById("usernameTextField"));
        const myMDCPasswordField = new MDCTextField(document.getElementById("passwordTextField"));
    </script> -->
    <script src="./login.js"></script>
</html>